<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../objects/stock_out.php';

$database = new Database();
$db = $database->getConnection();
 
$stock_out = new StockOut($db);
$data = json_decode(file_get_contents("php://input"));

$stock_out->df = isset($_GET['df']) ? $_GET['df'] : null;
$stock_out->dt = isset($_GET['dt']) ? $_GET['dt'] : null;
$stock_out->store = isset($_GET['store']) ? $_GET['store'] : null;

$stmt = $stock_out->search();

$num = $stmt->rowCount();
$arr=array();
$arr["records"]=array();

if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $stock_out_d=array(
            $id,
            $stock_out_date,
            $store,
            $reason,
            $item_code,
            $item_name,
            (int)str_replace(",","",$quantity),
            (int)str_replace(",","",$sales_price),
            $quantity*$sales_price
        );
        array_push($arr["records"], $stock_out_d);
    }   
}
echo json_encode($arr);
?>